#!/usr/bin/perl
#
# Convert an 8-bit sample to something the Direct-Sound driver can use
# (c) 1998 by Markus L. Noga
#
$infile=shift;
$outfile="sample.tst" unless $outfile=shift;

open(IN,"<$infile") || die;
open(OUT,">$outfile") || die;

sysread IN,$asdf,50;
syswrite OUT,$asdf,50;


while(read IN,$c,1) {
	$n=ord($c);
	if($n>=128) {
		$n-=256;
	}
	
	if($n>0) {
		syswrite OUT,"\xff",1;
	} else {
		syswrite OUT,"\x00",1;
	}
}

close IN;
close OUT;
